/**
 * Copyright (c) 2014 - 2018, Nordic Semiconductor ASA
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form, except as embedded into a Nordic
 *    Semiconductor ASA integrated circuit in a product or a software update for
 *    such product, must reproduce the above copyright notice, this list of
 *    conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 * 
 * 3. Neither the name of Nordic Semiconductor ASA nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 * 
 * 4. This software, with or without modification, must only be used with a
 *    Nordic Semiconductor ASA integrated circuit.
 * 
 * 5. Any software provided in binary form under this license must not be reverse
 *    engineered, decompiled, modified and/or disassembled.
 * 
 * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
 
#ifndef OUR_SERVICE_H__
#define OUR_SERVICE_H__

#include <stdint.h>
#include "ble.h"
#include "ble_srv_common.h"

#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include "app_uart.h"
#include "app_error.h"




#ifdef __cplusplus
extern "C" {
#endif








#define COM_STX               0x02
#define COM_ETX               0x03
#define COM_TYPE_SVR          0x01
#define COM_TYPE_BELL_EMG     0x01
#define COM_TYPE_SVR_NORMAL   0x02
#define COM_TYPE_SVR_TALKING  0x03
#define COM_TYPE_SVR_DISCON   0x04
#define COM_TYPE_SVR_BUSY     0x05
#define COM_TYPE_SVR_ALIVE    0x06


#define COM_TYPE_BAND         0x02
#define COM_TYPE_BAND_EMG     0x01
#define COM_SVR_ACK           72



#if 0

struct stSystemTimer__ {


	volatile int MS_1;
        volatile int UART_LAST_RECV_TIMER;
        volatile int SEND_TEST_TIMER;
        volatile int LED_TOGGLE_TIMER;
};
typedef struct stSystemTimer__ stSystemTimer;




struct stSystemManager__ {

  char RxValild;
  char RxEvent;

  char SwitchOn;
  char BuzzerOn;
  char MicOn;
  char SpeakerOn;

};
typedef struct stSystemManager__ stSystemManager;
#endif


void USART_Handler(void);
void ParseEventServer();
void SendToEventServer(char* data, int len);
void SendEmergency();
void SendEmergencyLocal();
void LedToggle();
void USART_DataCheck();

extern char SvrRxBuffer[];
extern int SvrRxBufferPos;
extern char SvrEvent;


//extern stSystemTimer SystemTimer;
//extern stSystemManager SystemManager;



#endif  /* _ OUR_SERVICE_H__ */
